## org.eclipse.uml2.uml
Interface Relationship

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  Abstraction, Association, AssociationClass, CommunicationPath, ComponentRealization, Dependency, Deployment, DirectedRelationship, ElementImport, Extend, Extension, Generalization, Include, InformationFlow, InterfaceRealization, Manifestation, PackageImport, PackageMerge, ProfileApplication, ProtocolConformance, Realization, Substitution, TemplateBinding, Usage

    public interface Relationship

extends Element

A representation of the model object 'Relationship'. Relationship is an abstract concept that specifies some kind of relationship between elements.

The following features are supported:

- `Related Element`

See Also:
  `UMLPackage.getRelationship()`

Method Summary
`org.eclipse.emf.common.util.EList<Element>` `getRelatedElements()` Returns the value of the 'Related Element' reference list.

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRelatedElements

    org.eclipse.emf.common.util.EList<Element> getRelatedElements()

  Returns the value of the 'Related Element' reference list. The list contents are of type `Element`. This feature is a derived union. Specifies the elements related by the Relationship.

  Returns:
    the value of the 'Related Element' reference list.
  See Also:
    `UMLPackage.getRelationship_RelatedElement()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.